### Method

# Gtk FileChooserset_current_name

deprecated: 4.10

#### Declaration [src]

    void
    gtk_file_chooser_set_current_name (
      GtkFileChooser* chooser,
      const char* name
    )

#### Description [src]

Sets the current name in the file selector, as if entered by the user.

Note that the name passed in here is a UTF-8 string rather than a filename. This function is meant for such uses as a suggested name in a “Save As…” dialog. You can pass “Untitled.doc” or a similarly suitable suggestion for the `name`.

If you want to preselect a particular existing file, you should use `gtk_file_chooser_set_file()` instead.

Please see the documentation for those functions for an example of using `gtk_file_chooser_set_current_name()` as well.

Deprecated since: 4.10

Use `GtkFileDialog` instead.

#### Parameters

`name`

  Type: `const char*`

  The filename to use, as a UTF-8 string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.